Package org.apache.cayenne.access.translator.batch.legacy

# Class DefaultBatchTranslatorFactory

java.lang.Object
org.apache.cayenne.access.translator.batch.legacy.DefaultBatchTranslatorFactory

All Implemented Interfaces:
  `BatchTranslatorFactory`

Direct Known Subclasses:
  `SoftDeleteTranslatorFactory`

@Deprecated public class DefaultBatchTranslatorFactory extends Object implements BatchTranslatorFactory
Deprecated.
since 4.2
Default implementation of `BatchTranslatorFactory`.

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultBatchTranslatorFactory()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected BatchTranslator`
  `deleteTranslator(DeleteBatchQuery query, DbAdapter adapter, String trimFunction)`
  Deprecated.
  `protected BatchTranslator`
  `insertTranslator(InsertBatchQuery query, DbAdapter adapter)`
  Deprecated.
  `BatchTranslator`
  `translator(BatchQuery query, DbAdapter adapter, String trimFunction)`
  Deprecated.
  Creates a proper translator for a BatchQuery
  `protected BatchTranslator`
  `updateTranslator(UpdateBatchQuery query, DbAdapter adapter, String trimFunction)`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultBatchTranslatorFactory

    public DefaultBatchTranslatorFactory()
    Deprecated.

- ## Method Details

  - ### translator

    public BatchTranslator translator(BatchQuery query, DbAdapter adapter, String trimFunction)
    Deprecated.
    Description copied from interface: `BatchTranslatorFactory`
    Creates a proper translator for a BatchQuery
    Specified by:
      `translator` in interface `BatchTranslatorFactory`

  - ### deleteTranslator

    protected BatchTranslator deleteTranslator(DeleteBatchQuery query, DbAdapter adapter, String trimFunction)
    Deprecated.

  - ### insertTranslator

    protected BatchTranslator insertTranslator(InsertBatchQuery query, DbAdapter adapter)
    Deprecated.

  - ### updateTranslator

    protected BatchTranslator updateTranslator(UpdateBatchQuery query, DbAdapter adapter, String trimFunction)
    Deprecated.